| Qore PgsqlSqlUtil Module Reference 1.5.2

Public Attributes | List of all members
PgsqlSqlUtil::PgsqlTriggerFunction Class Reference

represents a PostgreSQL-specific trigger function More...

Inheritance diagram for PgsqlSqlUtil::PgsqlTriggerFunction:
[legend]

## Public Attributes
string | trigger
| trigger name

## Additional Inherited Members
Public Member Functions inherited from PgsqlSqlUtil::PgsqlFunction
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the function from the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the function in the database More...
| setName (string new_name)
| sets the new name of the function
Protected Member Functions inherited from PgsqlSqlUtil::PgsqlFunction
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a PostgreSQL-specific trigger function